## Insert Block

Toolbar / Icon:
Menu: Block > Insert Block
Shortcut: B, I
Commands: blockinsert | minsert | insert | bi

### Description

This tool inserts the active block into the drawing. One or multiple block references are created in the drawing to represent the active block.

### Usage

1. Choose the block you want to insert from the block list.
2. Click the insert button or choose 'Insert Block' from the menu.
3. Enter the rotation angle and scale factor for the block reference in the options tool bar.
4. Specify the position of the inserted block by clicking a coordinate or entering a coordinate in the console.